@import "../themeSettings.less";

@headerHeight: 60px;
@footerHeight: 24px;

.@{themeName} {
  .ecWmsLayerSelector {
    label {
      font-weight: normal;
    }

    input {
      margin: 0 !important;
    }

    .dijitCheckBox:before {
      position: absolute;
      top: -2px;
      left: 0;
    }

    .selectorWrapper {
      width: 100%;
      height: 100%;
    }

    .selectorHeader {
      //      height: @headerHeight;
      margin-bottom: 15px;
    }

    .selectorAll {
      border-bottom: 1px solid lightgray;
      label {
        font-weight: bold;
      }
    }

    .selectorContent {
      overflow: auto;
      height: 250px;
      padding: 4px 0;
      box-sizing: border-box;
    }

    .selectorFooter {
      z-index: 10;
      height: @footerHeight;
      position: absolute;
      bottom: 0;
      width: 100%;
    }

    input[type="radio"],
    input[type="checkbox"] {
      margin: 0;
      margin-top: 1px \9;
      line-height: normal;
    }
  }
}
